<?php

session_start();
$com="AS";
include("DMMYSQLG.php");
$resultado=[];  
	  $textBus=mysqli_real_escape_string($con,$_REQUEST['term']);
	 if(trim($textBus)!=''){
             $sq_invent=mysqli_query($con ,"SELECT DISTINCT(n_reg), tpdescrip FROM fatributos 
                WHERE modulo='".$_SESSION['mod_sis']."' AND   tpdescrip like '$textBus%' or
                modulo='".$_SESSION['mod_sis']."' AND   n_reg like '$textBus%'  order by n_reg");
 }
		 // @$sql = mysqli_query($con ,$sq_retrieve);
		  while(@$reg = mysqli_fetch_array($sq_invent)){
			
                      $row["label"]="(".$reg['n_reg'].")".$reg['tpdescrip'];
                       $row["tpdescrip"]=$reg['tpdescrip'];
                      $row["id"]=$reg['n_reg'];
                     
                      $row["value"]=$reg['tpdescrip'];
                       
              $resultado[]=$row;  
		  }
	  
          
  echo json_encode($resultado);
//$q = mysqli_real_escape_string($con,$_GET["q"]);
//$limit= mysqli_real_escape_string($con,$_GET["limit"]);
//if($_GET['tipBus']=='d')
//	$sq_invent=mysqli_query($con ,"SELECT tpdescrip,n_reg,cod_var FROM fatributos WHERE modulo='".$_SESSION['mod_sis']."' AND   tpdescrip like '$q%' order by tpdescrip limit $limit");
//elseif($_GET['tipBus']=='c')
//		$sq_invent=mysqli_query($con ,"SELECT * FROM fatributos WHERE modulo='".$_SESSION['mod_sis']."' AND   n_reg like '$q%' OR cod_var='$q' order by n_reg limit $limit");
//while($dt_invent=mysqli_fetch_array($sq_invent)){
//	echo "$dt_invent['tpdescrip']|$dt_invent['n_reg']\n";
//}
?>